Skip to content

Scheduled Snapshots

GET
/api/v1/schedule-snapshot/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/schedule-snapshot/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>'
project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
resource_id
string

Identifier of the node for which to retrieve scheduled snapshots

Example

<NODE_ID>
resource_type
string

Filter snapshots by the type of resource they belong to

Example

node
apikey
required
string

API key used to authenticate the request

Example

<API_KEY>
location
required
string

Specifies the E2E Myaccount region for the scheduled snapshot.

Example

<LOCATION>

Successful response

Media typeapplication/json
object
code

HTTP status code of the scheduled snapshot response

integer
data
object
id

Unique identifier of the scheduled snapshot

string format: uuid
time_line

Identifier for the scheduled snapshot timeline

string
resource_id

Unique identifier of the snapshot resource

integer
resource_type

Type of the resource for which the snapshot is scheduled

string
create_after

Delay before the snapshot is created

integer
delete_after

Number of days after which the scheduled snapshot will be deleted

integer
deleted_at

Timestamp when the snapshot was deleted, or null if not deleted

string
errors
object
message

Status message indicating the result of the snapshot operation.

string

Example

{
"code": 200,
"data": {
"id": "9591023453-528f-65a2-4fb7-3ae4b23b8bb8",
"time_line": "1",
"resource_id": 12345,
"resource_type": "node",
"create_after": 1,
"delete_after": 7
},
"message": "Success"
}